/*
 * playlistaspectstatisticsgatherer.h
 *
 *  Created on: 20.04.2010
 *      Author: darkstar
 */

#ifndef PLAYLISTASPECTSTATISTICSGATHERER_H_
#define PLAYLISTASPECTSTATISTICSGATHERER_H_

#include "playlistaspect.h"

class PlayListAspectStatisticsGatherer: public QObject, PlayListAspectExtension
{
	Q_OBJECT
public:
	PlayListAspectStatisticsGatherer();
	virtual ~PlayListAspectStatisticsGatherer();

	virtual void execute();
	virtual QString outputViewSource() { return inputViewSource(); } // pass-through mode!

	long long totalPlaytime() { return totalPlaytime_; };
	long long totalFileSize() { return totalFilesize_; };
	int itemCount() { return itemCount_; }

signals:
	void statisticsUpdated();

private:
	long long totalPlaytime_;
	long long totalFilesize_;
	int itemCount_;
};

#endif /* PLAYLISTASPECTSTATISTICSGATHERER_H_ */
